Moodle and Amember Upgrade

Discussion in 'Integration' started by rehansaleem, Oct 8, 2013.

  1. rehansaleem

    rehansaleem New Member

    Joined:
    Oct 7, 2013
    Messages:
    3
    Hi,

    I have ugraded moodle 1.9 to moodle 2.5 befor upgrade moodle and amember was working fine but now after upgrad when a new user sign up from amember he gets the following error.

    MYSQL ERROR:<br />Unknown column 'hidden' in 'field list'<br />in query:<br />INSERT INTO mydatabasename.mdl_role_assignments SET roleid='5', contextid='35', userid='5277', hidden='0', timestart='0', timeend='0', timemodified='1381218388', modifierid='0', enrol='manual', sortorder='0'
    When i refresh the above page it says
    You are already signed up. Please <a href='http://www.mywebsite.com/amember/member.php'>login</a>here
    and when user go and sign in it is not giving any error and user gets logged in to moodle, which means amember is not sending the user on the thanks page and not sending the user onto moodle page with logged in authority.
    Please share your reviews how can i solve this issue.

    Thanks

  2. jobrien

    jobrien New Member

    Joined:
    Oct 28, 2013
    Messages:
    1
    Based upon my experiences, there is no working aMember plugin for Moodle 2.5, or Moodle 1.9 with aMember4. Did you have any success with troubleshooting?
  3. alexander

    alexander Administrator Staff Member

    Joined:
    Jan 8, 2003
    Messages:
    6,274
    Plugin was tested with Moodle 2.3.1 If there are any issues with Moodle 2.5 feel free to submit a ticket to helpdesk, we will check it and fix all issues.
  4. cambridge

    cambridge aMember Pro Customer

    Joined:
    Jun 26, 2005
    Messages:
    7
    Is anyone using the Moodle 2.5 or 2.6 with the current aMember?
  5. mathet

    mathet aMember Pro Customer

    Joined:
    Oct 24, 2007
    Messages:
    8
    I've currently submitted a ticket about the problem with the integration between aMember 4.x and Moodle >= 2.5. Since moodle 2.5, there are significant changes in the password salting mechanism.
    http://docs.moodle.org/25/en/Password_salting
    The current Moodle Integration Plugin will not work because it's based in previous implementation.

    @Alexander As mentioned in the ticket opened yesterday, I'm available to help on fixing the plugin.
  6. kushal_gupta

    kushal_gupta New Member

    Joined:
    Mar 14, 2014
    Messages:
    1
    Hello,
    Please keep us updated !! we are looking to get this moodle API for our Moodle Site. We are running ver -2.5.5

    @aMember Team :- Please inform us if you have solution for Moodle 2.5 or 2.6.



    Thanks in advance !
    Kushal
    Know the World Team
  7. charles_5

    charles_5 aMember Pro Customer

    Joined:
    Aug 29, 2006
    Messages:
    14
    I am also waiting on an update to the amember plugin for moodle, so we can update. We are currently stuck on Moodle 2.4 because of the password salting issue.

    As always, I thank Amember for their efforts in supporting Moodle!

Share This Page